Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 964:f2f3c7612d06
prev927:17b6b9e245d8
next966:0f0320cb3650
author nkeynes
date Thu Jan 15 07:21:34 2009 +0000 (15 years ago)
permissions -rw-r--r--
last change Add missed paths_osx.m from previous commit
file annotate diff log raw
1.1 --- a/configure Mon Dec 15 10:44:56 2008 +0000
1.2 +++ b/configure Thu Jan 15 07:21:34 2009 +0000
1.3 @@ -712,6 +712,10 @@
1.4 CCDEPMODE
1.5 am__fastdepCC_TRUE
1.6 am__fastdepCC_FALSE
1.7 +OBJC
1.8 +OBJCFLAGS
1.9 +ac_ct_OBJC
1.10 +SED
1.11 CCAS
1.12 CCASFLAGS
1.13 CPP
1.14 @@ -725,8 +729,12 @@
1.15 host_cpu
1.16 host_vendor
1.17 host_os
1.18 +OBJCDEPMODE
1.19 +am__fastdepOBJC_TRUE
1.20 +am__fastdepOBJC_FALSE
1.21 POD2MAN
1.22 POD2HTML
1.23 +OBJCPP
1.24 GUI_COCOA_TRUE
1.25 GUI_COCOA_FALSE
1.26 PKG_CONFIG
1.27 @@ -822,9 +830,12 @@
1.28 LDFLAGS
1.29 LIBS
1.30 CPPFLAGS
1.31 +OBJC
1.32 +OBJCFLAGS
1.33 CCAS
1.34 CCASFLAGS
1.35 CPP
1.36 +OBJCPP
1.37 PKG_CONFIG
1.38 LIBPNG_CFLAGS
1.39 LIBPNG_LIBS
1.40 @@ -1498,9 +1509,12 @@
1.41 LIBS libraries to pass to the linker, e.g. -l<library>
1.42 CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
1.43 you have headers in a nonstandard directory <include dir>
1.44 + OBJC Objective C compiler command
1.45 + OBJCFLAGS Objective C compiler flags
1.46 CCAS assembler compiler command (defaults to CC)
1.47 CCASFLAGS assembler compiler flags (defaults to CFLAGS)
1.48 CPP C preprocessor
1.49 + OBJCPP Objective C preprocessor
1.50 PKG_CONFIG path to pkg-config utility
1.51 LIBPNG_CFLAGS
1.52 C compiler flags for LIBPNG, overriding pkg-config
1.53 @@ -5233,6 +5247,447 @@
1.54
1.55 am_cv_prog_cc_stdc=$ac_cv_prog_cc_stdc
1.56
1.57 +ac_ext=m
1.58 +ac_cpp='$OBJCPP $CPPFLAGS'
1.59 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.60 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.61 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.62 +if test -n "$ac_tool_prefix"; then
1.63 + for ac_prog in gcc objcc objc cc CC
1.64 + do
1.65 + # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1.66 +set dummy $ac_tool_prefix$ac_prog; ac_word=$2
1.67 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
1.68 +$as_echo_n "checking for $ac_word... " >&6; }
1.69 +if test "${ac_cv_prog_OBJC+set}" = set; then
1.70 + $as_echo_n "(cached) " >&6
1.71 +else
1.72 + if test -n "$OBJC"; then
1.73 + ac_cv_prog_OBJC="$OBJC" # Let the user override the test.
1.74 +else
1.75 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.76 +for as_dir in $PATH
1.77 +do
1.78 + IFS=$as_save_IFS
1.79 + test -z "$as_dir" && as_dir=.
1.80 + for ac_exec_ext in '' $ac_executable_extensions; do
1.81 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
1.82 + ac_cv_prog_OBJC="$ac_tool_prefix$ac_prog"
1.83 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1.84 + break 2
1.85 + fi
1.86 +done
1.87 +done
1.88 +IFS=$as_save_IFS
1.89 +
1.90 +fi
1.91 +fi
1.92 +OBJC=$ac_cv_prog_OBJC
1.93 +if test -n "$OBJC"; then
1.94 + { $as_echo "$as_me:$LINENO: result: $OBJC" >&5
1.95 +$as_echo "$OBJC" >&6; }
1.96 +else
1.97 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.98 +$as_echo "no" >&6; }
1.99 +fi
1.100 +
1.101 +
1.102 + test -n "$OBJC" && break
1.103 + done
1.104 +fi
1.105 +if test -z "$OBJC"; then
1.106 + ac_ct_OBJC=$OBJC
1.107 + for ac_prog in gcc objcc objc cc CC
1.108 +do
1.109 + # Extract the first word of "$ac_prog", so it can be a program name with args.
1.110 +set dummy $ac_prog; ac_word=$2
1.111 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
1.112 +$as_echo_n "checking for $ac_word... " >&6; }
1.113 +if test "${ac_cv_prog_ac_ct_OBJC+set}" = set; then
1.114 + $as_echo_n "(cached) " >&6
1.115 +else
1.116 + if test -n "$ac_ct_OBJC"; then
1.117 + ac_cv_prog_ac_ct_OBJC="$ac_ct_OBJC" # Let the user override the test.
1.118 +else
1.119 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.120 +for as_dir in $PATH
1.121 +do
1.122 + IFS=$as_save_IFS
1.123 + test -z "$as_dir" && as_dir=.
1.124 + for ac_exec_ext in '' $ac_executable_extensions; do
1.125 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
1.126 + ac_cv_prog_ac_ct_OBJC="$ac_prog"
1.127 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1.128 + break 2
1.129 + fi
1.130 +done
1.131 +done
1.132 +IFS=$as_save_IFS
1.133 +
1.134 +fi
1.135 +fi
1.136 +ac_ct_OBJC=$ac_cv_prog_ac_ct_OBJC
1.137 +if test -n "$ac_ct_OBJC"; then
1.138 + { $as_echo "$as_me:$LINENO: result: $ac_ct_OBJC" >&5
1.139 +$as_echo "$ac_ct_OBJC" >&6; }
1.140 +else
1.141 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.142 +$as_echo "no" >&6; }
1.143 +fi
1.144 +
1.145 +
1.146 + test -n "$ac_ct_OBJC" && break
1.147 +done
1.148 +
1.149 + if test "x$ac_ct_OBJC" = x; then
1.150 + OBJC="gcc"
1.151 + else
1.152 + case $cross_compiling:$ac_tool_warned in
1.153 +yes:)
1.154 +{ $as_echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
1.155 +whose name does not start with the host triplet. If you think this
1.156 +configuration is useful to you, please write to autoconf@gnu.org." >&5
1.157 +$as_echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
1.158 +whose name does not start with the host triplet. If you think this
1.159 +configuration is useful to you, please write to autoconf@gnu.org." >&2;}
1.160 +ac_tool_warned=yes ;;
1.161 +esac
1.162 + OBJC=$ac_ct_OBJC
1.163 + fi
1.164 +fi
1.165 +
1.166 +# Provide some information about the compiler.
1.167 +$as_echo "$as_me:$LINENO: checking for Objective C compiler version" >&5
1.168 +set X $ac_compile
1.169 +ac_compiler=$2
1.170 +{ (ac_try="$ac_compiler --version >&5"
1.171 +case "(($ac_try" in
1.172 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.173 + *) ac_try_echo=$ac_try;;
1.174 +esac
1.175 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.176 +$as_echo "$ac_try_echo") >&5
1.177 + (eval "$ac_compiler --version >&5") 2>&5
1.178 + ac_status=$?
1.179 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.180 + (exit $ac_status); }
1.181 +{ (ac_try="$ac_compiler -v >&5"
1.182 +case "(($ac_try" in
1.183 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.184 + *) ac_try_echo=$ac_try;;
1.185 +esac
1.186 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.187 +$as_echo "$ac_try_echo") >&5
1.188 + (eval "$ac_compiler -v >&5") 2>&5
1.189 + ac_status=$?
1.190 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.191 + (exit $ac_status); }
1.192 +{ (ac_try="$ac_compiler -V >&5"
1.193 +case "(($ac_try" in
1.194 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.195 + *) ac_try_echo=$ac_try;;
1.196 +esac
1.197 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.198 +$as_echo "$ac_try_echo") >&5
1.199 + (eval "$ac_compiler -V >&5") 2>&5
1.200 + ac_status=$?
1.201 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.202 + (exit $ac_status); }
1.203 +
1.204 +{ $as_echo "$as_me:$LINENO: checking whether we are using the GNU Objective C compiler" >&5
1.205 +$as_echo_n "checking whether we are using the GNU Objective C compiler... " >&6; }
1.206 +if test "${ac_cv_objc_compiler_gnu+set}" = set; then
1.207 + $as_echo_n "(cached) " >&6
1.208 +else
1.209 + cat >conftest.$ac_ext <<_ACEOF
1.210 +/* confdefs.h. */
1.211 +_ACEOF
1.212 +cat confdefs.h >>conftest.$ac_ext
1.213 +cat >>conftest.$ac_ext <<_ACEOF
1.214 +/* end confdefs.h. */
1.215 +
1.216 +int
1.217 +main ()
1.218 +{
1.219 +#ifndef __GNUC__
1.220 + choke me
1.221 +#endif
1.222 +
1.223 + ;
1.224 + return 0;
1.225 +}
1.226 +_ACEOF
1.227 +rm -f conftest.$ac_objext
1.228 +if { (ac_try="$ac_compile"
1.229 +case "(($ac_try" in
1.230 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.231 + *) ac_try_echo=$ac_try;;
1.232 +esac
1.233 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.234 +$as_echo "$ac_try_echo") >&5
1.235 + (eval "$ac_compile") 2>conftest.er1
1.236 + ac_status=$?
1.237 + grep -v '^ *+' conftest.er1 >conftest.err
1.238 + rm -f conftest.er1
1.239 + cat conftest.err >&5
1.240 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.241 + (exit $ac_status); } && {
1.242 + test -z "$ac_objc_werror_flag" ||
1.243 + test ! -s conftest.err
1.244 + } && test -s conftest.$ac_objext; then
1.245 + ac_compiler_gnu=yes
1.246 +else
1.247 + $as_echo "$as_me: failed program was:" >&5
1.248 +sed 's/^/| /' conftest.$ac_ext >&5
1.249 +
1.250 + ac_compiler_gnu=no
1.251 +fi
1.252 +
1.253 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.254 +ac_cv_objc_compiler_gnu=$ac_compiler_gnu
1.255 +
1.256 +fi
1.257 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_objc_compiler_gnu" >&5
1.258 +$as_echo "$ac_cv_objc_compiler_gnu" >&6; }
1.259 +if test $ac_compiler_gnu = yes; then
1.260 + GOBJC=yes
1.261 +else
1.262 + GOBJC=
1.263 +fi
1.264 +ac_test_OBJCFLAGS=${OBJCFLAGS+set}
1.265 +ac_save_OBJCFLAGS=$OBJCFLAGS
1.266 +{ $as_echo "$as_me:$LINENO: checking whether $OBJC accepts -g" >&5
1.267 +$as_echo_n "checking whether $OBJC accepts -g... " >&6; }
1.268 +if test "${ac_cv_prog_objc_g+set}" = set; then
1.269 + $as_echo_n "(cached) " >&6
1.270 +else
1.271 + ac_save_objc_werror_flag=$ac_objc_werror_flag
1.272 + ac_objc_werror_flag=yes
1.273 + ac_cv_prog_objc_g=no
1.274 + OBJCFLAGS="-g"
1.275 + cat >conftest.$ac_ext <<_ACEOF
1.276 +/* confdefs.h. */
1.277 +_ACEOF
1.278 +cat confdefs.h >>conftest.$ac_ext
1.279 +cat >>conftest.$ac_ext <<_ACEOF
1.280 +/* end confdefs.h. */
1.281 +
1.282 +int
1.283 +main ()
1.284 +{
1.285 +
1.286 + ;
1.287 + return 0;
1.288 +}
1.289 +_ACEOF
1.290 +rm -f conftest.$ac_objext
1.291 +if { (ac_try="$ac_compile"
1.292 +case "(($ac_try" in
1.293 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.294 + *) ac_try_echo=$ac_try;;
1.295 +esac
1.296 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.297 +$as_echo "$ac_try_echo") >&5
1.298 + (eval "$ac_compile") 2>conftest.er1
1.299 + ac_status=$?
1.300 + grep -v '^ *+' conftest.er1 >conftest.err
1.301 + rm -f conftest.er1
1.302 + cat conftest.err >&5
1.303 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.304 + (exit $ac_status); } && {
1.305 + test -z "$ac_objc_werror_flag" ||
1.306 + test ! -s conftest.err
1.307 + } && test -s conftest.$ac_objext; then
1.308 + ac_cv_prog_objc_g=yes
1.309 +else
1.310 + $as_echo "$as_me: failed program was:" >&5
1.311 +sed 's/^/| /' conftest.$ac_ext >&5
1.312 +
1.313 + OBJCFLAGS=""
1.314 + cat >conftest.$ac_ext <<_ACEOF
1.315 +/* confdefs.h. */
1.316 +_ACEOF
1.317 +cat confdefs.h >>conftest.$ac_ext
1.318 +cat >>conftest.$ac_ext <<_ACEOF
1.319 +/* end confdefs.h. */
1.320 +
1.321 +int
1.322 +main ()
1.323 +{
1.324 +
1.325 + ;
1.326 + return 0;
1.327 +}
1.328 +_ACEOF
1.329 +rm -f conftest.$ac_objext
1.330 +if { (ac_try="$ac_compile"
1.331 +case "(($ac_try" in
1.332 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.333 + *) ac_try_echo=$ac_try;;
1.334 +esac
1.335 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.336 +$as_echo "$ac_try_echo") >&5
1.337 + (eval "$ac_compile") 2>conftest.er1
1.338 + ac_status=$?
1.339 + grep -v '^ *+' conftest.er1 >conftest.err
1.340 + rm -f conftest.er1
1.341 + cat conftest.err >&5
1.342 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.343 + (exit $ac_status); } && {
1.344 + test -z "$ac_objc_werror_flag" ||
1.345 + test ! -s conftest.err
1.346 + } && test -s conftest.$ac_objext; then
1.347 + :
1.348 +else
1.349 + $as_echo "$as_me: failed program was:" >&5
1.350 +sed 's/^/| /' conftest.$ac_ext >&5
1.351 +
1.352 + ac_objc_werror_flag=$ac_save_objc_werror_flag
1.353 + OBJCFLAGS="-g"
1.354 + cat >conftest.$ac_ext <<_ACEOF
1.355 +/* confdefs.h. */
1.356 +_ACEOF
1.357 +cat confdefs.h >>conftest.$ac_ext
1.358 +cat >>conftest.$ac_ext <<_ACEOF
1.359 +/* end confdefs.h. */
1.360 +
1.361 +int
1.362 +main ()
1.363 +{
1.364 +
1.365 + ;
1.366 + return 0;
1.367 +}
1.368 +_ACEOF
1.369 +rm -f conftest.$ac_objext
1.370 +if { (ac_try="$ac_compile"
1.371 +case "(($ac_try" in
1.372 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.373 + *) ac_try_echo=$ac_try;;
1.374 +esac
1.375 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.376 +$as_echo "$ac_try_echo") >&5
1.377 + (eval "$ac_compile") 2>conftest.er1
1.378 + ac_status=$?
1.379 + grep -v '^ *+' conftest.er1 >conftest.err
1.380 + rm -f conftest.er1
1.381 + cat conftest.err >&5
1.382 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.383 + (exit $ac_status); } && {
1.384 + test -z "$ac_objc_werror_flag" ||
1.385 + test ! -s conftest.err
1.386 + } && test -s conftest.$ac_objext; then
1.387 + ac_cv_prog_objc_g=yes
1.388 +else
1.389 + $as_echo "$as_me: failed program was:" >&5
1.390 +sed 's/^/| /' conftest.$ac_ext >&5
1.391 +
1.392 +
1.393 +fi
1.394 +
1.395 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.396 +fi
1.397 +
1.398 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.399 +fi
1.400 +
1.401 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.402 + ac_objc_werror_flag=$ac_save_objc_werror_flag
1.403 +fi
1.404 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_prog_objc_g" >&5
1.405 +$as_echo "$ac_cv_prog_objc_g" >&6; }
1.406 +if test "$ac_test_OBJCFLAGS" = set; then
1.407 + OBJCFLAGS=$ac_save_OBJCFLAGS
1.408 +elif test $ac_cv_prog_objc_g = yes; then
1.409 + if test "$GOBJC" = yes; then
1.410 + OBJCFLAGS="-g -O2"
1.411 + else
1.412 + OBJCFLAGS="-g"
1.413 + fi
1.414 +else
1.415 + if test "$GOBJC" = yes; then
1.416 + OBJCFLAGS="-O2"
1.417 + else
1.418 + OBJCFLAGS=
1.419 + fi
1.420 +fi
1.421 +ac_ext=c
1.422 +ac_cpp='$CPP $CPPFLAGS'
1.423 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.424 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.425 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
1.426 +
1.427 +{ $as_echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5
1.428 +$as_echo_n "checking for a sed that does not truncate output... " >&6; }
1.429 +if test "${ac_cv_path_SED+set}" = set; then
1.430 + $as_echo_n "(cached) " >&6
1.431 +else
1.432 + ac_script=s/aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa/bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb/
1.433 + for ac_i in 1 2 3 4 5 6 7; do
1.434 + ac_script="$ac_script$as_nl$ac_script"
1.435 + done
1.436 + echo "$ac_script" 2>/dev/null | sed 99q >conftest.sed
1.437 + $as_unset ac_script || ac_script=
1.438 + if test -z "$SED"; then
1.439 + ac_path_SED_found=false
1.440 + # Loop through the user's path and test for each of PROGNAME-LIST
1.441 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.442 +for as_dir in $PATH
1.443 +do
1.444 + IFS=$as_save_IFS
1.445 + test -z "$as_dir" && as_dir=.
1.446 + for ac_prog in sed gsed; do
1.447 + for ac_exec_ext in '' $ac_executable_extensions; do
1.448 + ac_path_SED="$as_dir/$ac_prog$ac_exec_ext"
1.449 + { test -f "$ac_path_SED" && $as_test_x "$ac_path_SED"; } || continue
1.450 +# Check for GNU ac_path_SED and select it if it is found.
1.451 + # Check for GNU $ac_path_SED
1.452 +case `"$ac_path_SED" --version 2>&1` in
1.453 +*GNU*)
1.454 + ac_cv_path_SED="$ac_path_SED" ac_path_SED_found=:;;
1.455 +*)
1.456 + ac_count=0
1.457 + $as_echo_n 0123456789 >"conftest.in"
1.458 + while :
1.459 + do
1.460 + cat "conftest.in" "conftest.in" >"conftest.tmp"
1.461 + mv "conftest.tmp" "conftest.in"
1.462 + cp "conftest.in" "conftest.nl"
1.463 + $as_echo '' >> "conftest.nl"
1.464 + "$ac_path_SED" -f conftest.sed < "conftest.nl" >"conftest.out" 2>/dev/null || break
1.465 + diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
1.466 + ac_count=`expr $ac_count + 1`
1.467 + if test $ac_count -gt ${ac_path_SED_max-0}; then
1.468 + # Best one so far, save it but keep looking for a better one
1.469 + ac_cv_path_SED="$ac_path_SED"
1.470 + ac_path_SED_max=$ac_count
1.471 + fi
1.472 + # 10*(2^10) chars as input seems more than enough
1.473 + test $ac_count -gt 10 && break
1.474 + done
1.475 + rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
1.476 +esac
1.477 +
1.478 + $ac_path_SED_found && break 3
1.479 + done
1.480 + done
1.481 +done
1.482 +IFS=$as_save_IFS
1.483 + if test -z "$ac_cv_path_SED"; then
1.484 + { { $as_echo "$as_me:$LINENO: error: no acceptable sed could be found in \$PATH" >&5
1.485 +$as_echo "$as_me: error: no acceptable sed could be found in \$PATH" >&2;}
1.486 + { (exit 1); exit 1; }; }
1.487 + fi
1.488 +else
1.489 + ac_cv_path_SED=$SED
1.490 +fi
1.491 +
1.492 +fi
1.493 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_path_SED" >&5
1.494 +$as_echo "$ac_cv_path_SED" >&6; }
1.495 + SED="$ac_cv_path_SED"
1.496 + rm -f conftest.sed
1.497 +
1.498 # By default we simply use the C compiler to build assembly code.
1.499
1.500 test "${CCAS+set}" = set || CCAS=$CC
1.501 @@ -6476,6 +6931,117 @@
1.502
1.503
1.504
1.505 +
1.506 +depcc="$OBJC" am_compiler_list='gcc3 gcc'
1.507 +
1.508 +{ $as_echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
1.509 +$as_echo_n "checking dependency style of $depcc... " >&6; }
1.510 +if test "${am_cv_OBJC_dependencies_compiler_type+set}" = set; then
1.511 + $as_echo_n "(cached) " >&6
1.512 +else
1.513 + if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
1.514 + # We make a subdir and do the tests there. Otherwise we can end up
1.515 + # making bogus files that we don't know about and never remove. For
1.516 + # instance it was reported that on HP-UX the gcc test will end up
1.517 + # making a dummy file named `D' -- because `-MD' means `put the output
1.518 + # in D'.
1.519 + mkdir conftest.dir
1.520 + # Copy depcomp to subdir because otherwise we won't find it if we're
1.521 + # using a relative directory.
1.522 + cp "$am_depcomp" conftest.dir
1.523 + cd conftest.dir
1.524 + # We will build objects and dependencies in a subdirectory because
1.525 + # it helps to detect inapplicable dependency modes. For instance
1.526 + # both Tru64's cc and ICC support -MD to output dependencies as a
1.527 + # side effect of compilation, but ICC will put the dependencies in
1.528 + # the current directory while Tru64 will put them in the object
1.529 + # directory.
1.530 + mkdir sub
1.531 +
1.532 + am_cv_OBJC_dependencies_compiler_type=none
1.533 + if test "$am_compiler_list" = ""; then
1.534 + am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
1.535 + fi
1.536 + for depmode in $am_compiler_list; do
1.537 + # Setup a source with many dependencies, because some compilers
1.538 + # like to wrap large dependency lists on column 80 (with \), and
1.539 + # we should not choose a depcomp mode which is confused by this.
1.540 + #
1.541 + # We need to recreate these files for each test, as the compiler may
1.542 + # overwrite some of them when testing with obscure command lines.
1.543 + # This happens at least with the AIX C compiler.
1.544 + : > sub/conftest.c
1.545 + for i in 1 2 3 4 5 6; do
1.546 + echo '#include "conftst'$i'.h"' >> sub/conftest.c
1.547 + # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
1.548 + # Solaris 8's {/usr,}/bin/sh.
1.549 + touch sub/conftst$i.h
1.550 + done
1.551 + echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
1.552 +
1.553 + case $depmode in
1.554 + nosideeffect)
1.555 + # after this tag, mechanisms are not by side-effect, so they'll
1.556 + # only be used when explicitly requested
1.557 + if test "x$enable_dependency_tracking" = xyes; then
1.558 + continue
1.559 + else
1.560 + break
1.561 + fi
1.562 + ;;
1.563 + none) break ;;
1.564 + esac
1.565 + # We check with `-c' and `-o' for the sake of the "dashmstdout"
1.566 + # mode. It turns out that the SunPro C++ compiler does not properly
1.567 + # handle `-M -o', and we need to detect this.
1.568 + if depmode=$depmode \
1.569 + source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
1.570 + depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
1.571 + $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
1.572 + >/dev/null 2>conftest.err &&
1.573 + grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
1.574 + grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
1.575 + ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
1.576 + # icc doesn't choke on unknown options, it will just issue warnings
1.577 + # or remarks (even with -Werror). So we grep stderr for any message
1.578 + # that says an option was ignored or not supported.
1.579 + # When given -MP, icc 7.0 and 7.1 complain thusly:
1.580 + # icc: Command line warning: ignoring option '-M'; no argument required
1.581 + # The diagnosis changed in icc 8.0:
1.582 + # icc: Command line remark: option '-MP' not supported
1.583 + if (grep 'ignoring option' conftest.err ||
1.584 + grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
1.585 + am_cv_OBJC_dependencies_compiler_type=$depmode
1.586 + break
1.587 + fi
1.588 + fi
1.589 + done
1.590 +
1.591 + cd ..
1.592 + rm -rf conftest.dir
1.593 +else
1.594 + am_cv_OBJC_dependencies_compiler_type=none
1.595 +fi
1.596 +
1.597 +fi
1.598 +{ $as_echo "$as_me:$LINENO: result: $am_cv_OBJC_dependencies_compiler_type" >&5
1.599 +$as_echo "$am_cv_OBJC_dependencies_compiler_type" >&6; }
1.600 +OBJCDEPMODE=depmode=$am_cv_OBJC_dependencies_compiler_type
1.601 +
1.602 +
1.603 +
1.604 +if
1.605 + test "x$enable_dependency_tracking" != xno \
1.606 + && test "$am_cv_OBJC_dependencies_compiler_type" = gcc3; then
1.607 + am__fastdepOBJC_TRUE=
1.608 + am__fastdepOBJC_FALSE='#'
1.609 +else
1.610 + am__fastdepOBJC_TRUE='#'
1.611 + am__fastdepOBJC_FALSE=
1.612 +fi
1.613 +
1.614 +
1.615 +
1.616 # Extract the first word of "pod2man", so it can be a program name with args.
1.617 set dummy pod2man; ac_word=$2
1.618 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
1.619 @@ -6646,28 +7212,71 @@
1.620 fi
1.621
1.622
1.623 +CFLAGS="-g -fexceptions"
1.624 +OBJCFLAGS="-g -fexceptions"
1.625 +
1.626 +cat >>confdefs.h <<\_ACEOF
1.627 +#define HAVE_EXCEPTIONS 1
1.628 +_ACEOF
1.629 +
1.630 +
1.631 +
1.632 +_GCC_VERSION=`$CC --version | $SED -ne '/(GCC)/p'`
1.633 +_ICC_VERSION=`$CC --version | $SED -ne '/(ICC)/p'`
1.634 +{ $as_echo "$as_me:$LINENO: checking CC version" >&5
1.635 +$as_echo_n "checking CC version... " >&6; }
1.636 +if test -n "$_GCC_VERSION"; then
1.637 + { $as_echo "$as_me:$LINENO: result: GCC" >&5
1.638 +$as_echo "GCC" >&6; }
1.639 + CCOPT="-O2 -msse2 -mfpmath=sse"
1.640 + CFLAGS="$CFLAGS -fno-strict-aliasing"
1.641 +elif test -n "$_ICC_VERSION"; then
1.642 + { $as_echo "$as_me:$LINENO: result: ICC" >&5
1.643 +$as_echo "ICC" >&6; }
1.644 + CCOPT="$CFLAGS -fast"
1.645 +else
1.646 + { $as_echo "$as_me:$LINENO: result: Unknown" >&5
1.647 +$as_echo "Unknown" >&6; }
1.648 + CCOPT="$CFLAGS -O2"
1.649 +fi
1.650 +
1.651 +
1.652 +{ $as_echo "$as_me:$LINENO: checking OBJC version" >&5
1.653 +$as_echo_n "checking OBJC version... " >&6; }
1.654 +if test -n "$OBJC"; then
1.655 + _GOBJC_VERSION=`$OBJC --version | $SED -ne '/(GCC)/p'`
1.656 + if test -n "$_GOBJC_VERSION"; then
1.657 + { $as_echo "$as_me:$LINENO: result: GCC" >&5
1.658 +$as_echo "GCC" >&6; }
1.659 + OBJCOPT="-O2 -msse2 -mfpmath=sse"
1.660 + OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing"
1.661 + else
1.662 + { $as_echo "$as_me:$LINENO: result: Unknown" >&5
1.663 +$as_echo "Unknown" >&6; }
1.664 + OBJCOPT="-O2"
1.665 + fi
1.666 +else
1.667 + { $as_echo "$as_me:$LINENO: result: None" >&5
1.668 +$as_echo "None" >&6; }
1.669 +
1.670 +fi
1.671 +
1.672
1.673 if test "x$enable_optimized" = "xyes"; then
1.674 - CFLAGS="-g -O2 -msse2 -mfpmath=sse"
1.675 + CFLAGS="$CFLAGS $CCOPT"
1.676 + OBJCFLAGS="$OBJCFLAGS $CCOPT"
1.677 if test "x$enable_profiled" != "xyes"; then
1.678 - CFLAGS="$CFLAGS -fexceptions -fomit-frame-pointer"
1.679 -
1.680 -cat >>confdefs.h <<\_ACEOF
1.681 -#define HAVE_EXCEPTIONS 1
1.682 -_ACEOF
1.683 -
1.684 + CFLAGS="$CFLAGS -fomit-frame-pointer"
1.685 fi
1.686 else
1.687 - CFLAGS="-g3"
1.688 + CFLAGS="$CFLAGS -g3"
1.689 + OBJCFLAGS="$OBJCFLAGS -g3"
1.690 fi
1.691
1.692 if test "x$enable_profiled" = "xyes"; then
1.693 CFLAGS="$CFLAGS -pg"
1.694 LDFLAGS="$LDFLAGS -pg";
1.695 -fi
1.696 -
1.697 -if test "x$GCC" = "xyes"; then
1.698 - CFLAGS="$CFLAGS -fno-strict-aliasing"
1.699 + OBJCFLAGS="$OBJCFLAGS -pg";
1.700 fi
1.701
1.702
1.703 @@ -6835,44 +7444,246 @@
1.704
1.705
1.706
1.707 -lxdream_save_cppflags="$CPPFLAGS"
1.708 -CPPFLAGS="$CPPFLAGS -x objective-c"
1.709 -cat >conftest.$ac_ext <<_ACEOF
1.710 -/* confdefs.h. */
1.711 -_ACEOF
1.712 -cat confdefs.h >>conftest.$ac_ext
1.713 -cat >>conftest.$ac_ext <<_ACEOF
1.714 -/* end confdefs.h. */
1.715 -@interface Foo @end
1.716 -int
1.717 -main ()
1.718 -{
1.719 -
1.720 - ;
1.721 - return 0;
1.722 -}
1.723 -_ACEOF
1.724 -rm -f conftest.$ac_objext
1.725 -if { (ac_try="$ac_compile"
1.726 -case "(($ac_try" in
1.727 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.728 - *) ac_try_echo=$ac_try;;
1.729 -esac
1.730 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.731 -$as_echo "$ac_try_echo") >&5
1.732 - (eval "$ac_compile") 2>conftest.er1
1.733 - ac_status=$?
1.734 - grep -v '^ *+' conftest.er1 >conftest.err
1.735 - rm -f conftest.er1
1.736 - cat conftest.err >&5
1.737 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.738 - (exit $ac_status); } && {
1.739 - test -z "$ac_c_werror_flag" ||
1.740 - test ! -s conftest.err
1.741 - } && test -s conftest.$ac_objext; then
1.742 -
1.743 -
1.744 - if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.745 +ac_ext=m
1.746 +ac_cpp='$OBJCPP $CPPFLAGS'
1.747 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.748 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.749 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.750 +
1.751 +
1.752 +
1.753 +ac_ext=m
1.754 +ac_cpp='$OBJCPP $CPPFLAGS'
1.755 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.756 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.757 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.758 +{ $as_echo "$as_me:$LINENO: checking how to run the Objective C preprocessor" >&5
1.759 +$as_echo_n "checking how to run the Objective C preprocessor... " >&6; }
1.760 +if test -z "$OBJCPP"; then
1.761 + if test "${ac_cv_prog_OBJCPP+set}" = set; then
1.762 + $as_echo_n "(cached) " >&6
1.763 +else
1.764 + # Double quotes because OBJCPP needs to be expanded
1.765 + for OBJCPP in "$OBJC -E" "/lib/cpp"
1.766 + do
1.767 + ac_preproc_ok=false
1.768 +for ac_objc_preproc_warn_flag in '' yes
1.769 +do
1.770 + # Use a header file that comes with gcc, so configuring glibc
1.771 + # with a fresh cross-compiler works.
1.772 + # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1.773 + # <limits.h> exists even on freestanding compilers.
1.774 + # On the NeXT, cc -E runs the code through the compiler's parser,
1.775 + # not just through cpp. "Syntax error" is here to catch this case.
1.776 + cat >conftest.$ac_ext <<_ACEOF
1.777 +/* confdefs.h. */
1.778 +_ACEOF
1.779 +cat confdefs.h >>conftest.$ac_ext
1.780 +cat >>conftest.$ac_ext <<_ACEOF
1.781 +/* end confdefs.h. */
1.782 +#ifdef __STDC__
1.783 +# include <limits.h>
1.784 +#else
1.785 +# include <assert.h>
1.786 +#endif
1.787 + Syntax error
1.788 +_ACEOF
1.789 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.790 +case "(($ac_try" in
1.791 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.792 + *) ac_try_echo=$ac_try;;
1.793 +esac
1.794 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.795 +$as_echo "$ac_try_echo") >&5
1.796 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.797 + ac_status=$?
1.798 + grep -v '^ *+' conftest.er1 >conftest.err
1.799 + rm -f conftest.er1
1.800 + cat conftest.err >&5
1.801 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.802 + (exit $ac_status); } >/dev/null && {
1.803 + test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.804 + test ! -s conftest.err
1.805 + }; then
1.806 + :
1.807 +else
1.808 + $as_echo "$as_me: failed program was:" >&5
1.809 +sed 's/^/| /' conftest.$ac_ext >&5
1.810 +
1.811 + # Broken: fails on valid input.
1.812 +continue
1.813 +fi
1.814 +
1.815 +rm -f conftest.err conftest.$ac_ext
1.816 +
1.817 + # OK, works on sane cases. Now check whether nonexistent headers
1.818 + # can be detected and how.
1.819 + cat >conftest.$ac_ext <<_ACEOF
1.820 +/* confdefs.h. */
1.821 +_ACEOF
1.822 +cat confdefs.h >>conftest.$ac_ext
1.823 +cat >>conftest.$ac_ext <<_ACEOF
1.824 +/* end confdefs.h. */
1.825 +#include <ac_nonexistent.h>
1.826 +_ACEOF
1.827 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.828 +case "(($ac_try" in
1.829 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.830 + *) ac_try_echo=$ac_try;;
1.831 +esac
1.832 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.833 +$as_echo "$ac_try_echo") >&5
1.834 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.835 + ac_status=$?
1.836 + grep -v '^ *+' conftest.er1 >conftest.err
1.837 + rm -f conftest.er1
1.838 + cat conftest.err >&5
1.839 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.840 + (exit $ac_status); } >/dev/null && {
1.841 + test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.842 + test ! -s conftest.err
1.843 + }; then
1.844 + # Broken: success on invalid input.
1.845 +continue
1.846 +else
1.847 + $as_echo "$as_me: failed program was:" >&5
1.848 +sed 's/^/| /' conftest.$ac_ext >&5
1.849 +
1.850 + # Passes both tests.
1.851 +ac_preproc_ok=:
1.852 +break
1.853 +fi
1.854 +
1.855 +rm -f conftest.err conftest.$ac_ext
1.856 +
1.857 +done
1.858 +# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1.859 +rm -f conftest.err conftest.$ac_ext
1.860 +if $ac_preproc_ok; then
1.861 + break
1.862 +fi
1.863 +
1.864 + done
1.865 + ac_cv_prog_OBJCPP=$OBJCPP
1.866 +
1.867 +fi
1.868 + OBJCPP=$ac_cv_prog_OBJCPP
1.869 +else
1.870 + ac_cv_prog_OBJCPP=$OBJCPP
1.871 +fi
1.872 +{ $as_echo "$as_me:$LINENO: result: $OBJCPP" >&5
1.873 +$as_echo "$OBJCPP" >&6; }
1.874 +ac_preproc_ok=false
1.875 +for ac_objc_preproc_warn_flag in '' yes
1.876 +do
1.877 + # Use a header file that comes with gcc, so configuring glibc
1.878 + # with a fresh cross-compiler works.
1.879 + # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1.880 + # <limits.h> exists even on freestanding compilers.
1.881 + # On the NeXT, cc -E runs the code through the compiler's parser,
1.882 + # not just through cpp. "Syntax error" is here to catch this case.
1.883 + cat >conftest.$ac_ext <<_ACEOF
1.884 +/* confdefs.h. */
1.885 +_ACEOF
1.886 +cat confdefs.h >>conftest.$ac_ext
1.887 +cat >>conftest.$ac_ext <<_ACEOF
1.888 +/* end confdefs.h. */
1.889 +#ifdef __STDC__
1.890 +# include <limits.h>
1.891 +#else
1.892 +# include <assert.h>
1.893 +#endif
1.894 + Syntax error
1.895 +_ACEOF
1.896 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.897 +case "(($ac_try" in
1.898 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.899 + *) ac_try_echo=$ac_try;;
1.900 +esac
1.901 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.902 +$as_echo "$ac_try_echo") >&5
1.903 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.904 + ac_status=$?
1.905 + grep -v '^ *+' conftest.er1 >conftest.err
1.906 + rm -f conftest.er1
1.907 + cat conftest.err >&5
1.908 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.909 + (exit $ac_status); } >/dev/null && {
1.910 + test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.911 + test ! -s conftest.err
1.912 + }; then
1.913 + :
1.914 +else
1.915 + $as_echo "$as_me: failed program was:" >&5
1.916 +sed 's/^/| /' conftest.$ac_ext >&5
1.917 +
1.918 + # Broken: fails on valid input.
1.919 +continue
1.920 +fi
1.921 +
1.922 +rm -f conftest.err conftest.$ac_ext
1.923 +
1.924 + # OK, works on sane cases. Now check whether nonexistent headers
1.925 + # can be detected and how.
1.926 + cat >conftest.$ac_ext <<_ACEOF
1.927 +/* confdefs.h. */
1.928 +_ACEOF
1.929 +cat confdefs.h >>conftest.$ac_ext
1.930 +cat >>conftest.$ac_ext <<_ACEOF
1.931 +/* end confdefs.h. */
1.932 +#include <ac_nonexistent.h>
1.933 +_ACEOF
1.934 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.935 +case "(($ac_try" in
1.936 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.937 + *) ac_try_echo=$ac_try;;
1.938 +esac
1.939 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.940 +$as_echo "$ac_try_echo") >&5
1.941 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.942 + ac_status=$?
1.943 + grep -v '^ *+' conftest.er1 >conftest.err
1.944 + rm -f conftest.er1
1.945 + cat conftest.err >&5
1.946 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.947 + (exit $ac_status); } >/dev/null && {
1.948 + test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.949 + test ! -s conftest.err
1.950 + }; then
1.951 + # Broken: success on invalid input.
1.952 +continue
1.953 +else
1.954 + $as_echo "$as_me: failed program was:" >&5
1.955 +sed 's/^/| /' conftest.$ac_ext >&5
1.956 +
1.957 + # Passes both tests.
1.958 +ac_preproc_ok=:
1.959 +break
1.960 +fi
1.961 +
1.962 +rm -f conftest.err conftest.$ac_ext
1.963 +
1.964 +done
1.965 +# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1.966 +rm -f conftest.err conftest.$ac_ext
1.967 +if $ac_preproc_ok; then
1.968 + :
1.969 +else
1.970 + { { $as_echo "$as_me:$LINENO: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
1.971 +See \`config.log' for more details." >&5
1.972 +$as_echo "$as_me: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
1.973 +See \`config.log' for more details." >&2;}
1.974 + { (exit 1); exit 1; }; }
1.975 +fi
1.976 +
1.977 +ac_ext=m
1.978 +ac_cpp='$OBJCPP $CPPFLAGS'
1.979 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.980 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.981 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
1.982 +
1.983 +
1.984 +if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.985 { $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
1.986 $as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
1.987 if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
1.988 @@ -6908,7 +7719,7 @@
1.989 cat conftest.err >&5
1.990 $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.991 (exit $ac_status); } && {
1.992 - test -z "$ac_c_werror_flag" ||
1.993 + test -z "$ac_objc_werror_flag" ||
1.994 test ! -s conftest.err
1.995 } && test -s conftest.$ac_objext; then
1.996 ac_header_compiler=yes
1.997 @@ -6948,7 +7759,7 @@
1.998 cat conftest.err >&5
1.999 $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.1000 (exit $ac_status); } >/dev/null && {
1.1001 - test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.1002 + test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
1.1003 test ! -s conftest.err
1.1004 }; then
1.1005 ac_header_preproc=yes
1.1006 @@ -6964,7 +7775,7 @@
1.1007 $as_echo "$ac_header_preproc" >&6; }
1.1008
1.1009 # So? What about this header?
1.1010 -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.1011 +case $ac_header_compiler:$ac_header_preproc:$ac_objc_preproc_warn_flag in
1.1012 yes:no: )
1.1013 { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.1014 $as_echo "$as_me: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.1015 @@ -7026,15 +7837,6 @@
1.1016
1.1017
1.1018
1.1019 -else
1.1020 - $as_echo "$as_me: failed program was:" >&5
1.1021 -sed 's/^/| /' conftest.$ac_ext >&5
1.1022 -
1.1023 - CPPFLAGS="$lxdream_save_cppflags"
1.1024 -fi
1.1025 -
1.1026 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.1027 -
1.1028
1.1029 if test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"; then
1.1030 GUI_COCOA_TRUE=
1.1031 @@ -7052,6 +7854,13 @@
1.1032
1.1033 fi
1.1034
1.1035 +ac_ext=c
1.1036 +ac_cpp='$CPP $CPPFLAGS'
1.1037 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.1038 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1.1039 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
1.1040 +
1.1041 +
1.1042
1.1043
1.1044 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
1.1045 @@ -11776,6 +12585,13 @@
1.1046 Usually this means the macro was only invoked conditionally." >&2;}
1.1047 { (exit 1); exit 1; }; }
1.1048 fi
1.1049 +if test -z "${am__fastdepOBJC_TRUE}" && test -z "${am__fastdepOBJC_FALSE}"; then
1.1050 + { { $as_echo "$as_me:$LINENO: error: conditional \"am__fastdepOBJC\" was never defined.
1.1051 +Usually this means the macro was only invoked conditionally." >&5
1.1052 +$as_echo "$as_me: error: conditional \"am__fastdepOBJC\" was never defined.
1.1053 +Usually this means the macro was only invoked conditionally." >&2;}
1.1054 + { (exit 1); exit 1; }; }
1.1055 +fi
1.1056 if test -z "${GUI_COCOA_TRUE}" && test -z "${GUI_COCOA_FALSE}"; then
1.1057 { { $as_echo "$as_me:$LINENO: error: conditional \"GUI_COCOA\" was never defined.
1.1058 Usually this means the macro was only invoked conditionally." >&5
.